Vulnerability CVE-2017-12904


Published: 2017-08-23

Description:
Improper Neutralization of Special Elements used in an OS Command in bookmarking function of Newsbeuter versions 0.7 through 2.9 allows remote attackers to perform user-assisted code execution by crafting an RSS item that includes shell code in its title and/or URL.

Type:

CWE-943

CVSS2 => (AV:N/AC:M/Au:N/C:C/I:C/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
9.3/10
10/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
Complete
Complete
Complete
Affected software
Newsbeuter -> Newsbeuter 
Debian -> Debian linux 

 References:
http://www.debian.org/security/2017/dsa-3947
https://github.com/akrennmair/newsbeuter/commit/96e9506ae9e252c548665152d1b8968297128307
https://github.com/akrennmair/newsbeuter/issues/591
https://groups.google.com/forum/#!topic/newsbeuter/iFqSE7Vz-DE
https://security-tracker.debian.org/tracker/CVE-2017-12904

Copyright 2022, cxsecurity.com

 

Back to Top